local lazypath = vim.fn.stdpath('data') .. '/lazy/lazy.nvim'
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    'git',
    'clone',
    '--filter=blob:none',
    '--single-branch',
    'https://github.com/folke/lazy.nvim.git',
    lazypath,
  })
end
vim.opt.runtimepath:prepend(lazypath)

require('configs.options').setup()

require('lazy').setup(
  'configs.packages',
  {
    install = { colorscheme = { 'gruvbox' } },
    -- rtp = { disabled_plugins = { 'netrwPlugin' } },
    change_detection = {
      -- automatically check for config file changes and reload the ui
      enabled = false,
      notify = false, -- get a notification when changes are found
    },
  }
)

require('configs.misc').setup()
require('configs.keys').setup()
require('configs.filetypes').setup()
